Bug 1808365 - [Rebase] Rebase stunnel to version 5.56
Summary: [Rebase] Rebase stunnel to version 5.56
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: stunnel
Version: 8.3
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: 8.0
Assignee: Sahana Prasad
QA Contact: Ivan Nikolchev
Jan Fiala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 10:51 UTC by Sahana Prasad
Modified: 2020-11-04 21:27 UTC (History)
7 users (show)

Fixed In Version: stunnel-5.56-1.el8
Doc Type: Enhancement
Doc Text:
.`stunnel` rebased to version 5.56 With this update, the `stunnel` encryption wrapper has been rebased to upstream version 5.56, which includes several new features and bug fixes. Notable features include: * New `ticketKeySecret` and `ticketMacSecret` options that control confidentiality and integrity protection of the issued session tickets. These options enable you to resume sessions on other nodes in a cluster. * New `curves` option to control the list of elliptic curves in OpenSSL 1.1.0 and later. * New `ciphersuites` option to control the list of permitted TLS 1.3 ciphersuites. * Added `sslVersion`, `sslVersionMin` and `sslVersionMax` for OpenSSL 1.1.0 and later.
Clone Of:
Environment:
Last Closed: 2020-11-04 01:32:21 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4440 0 None None None 2020-11-04 01:32:26 UTC

Description Sahana Prasad 2020-02-28 10:51:20 UTC
Rebase stunnel to 5.56.

Since the version 5.48, there have been several new features and bug fixes.
Most bug fixes are medium or high priority.

Especially the bug which is marked high - https://bugzilla.redhat.com/show_bug.cgi?id=1665899

Release 5.55 and 5.56 have urgency high.

Comment 8 Sahana Prasad 2020-07-09 09:14:09 UTC
Hi Jan,

New features:
1. New "ticketKeySecret" and "ticketMacSecret" options to control confidentiality and integrity protection of the issued session tickets. These options allow for session resumption on other nodes in a cluster
2. New "curves" option to control the list of elliptic curves in OpenSSL 1.1.0 and later.
3. New "ciphersuites" option to control the list of permitted TLS 1.3 ciphersuites.
4. Added sslVersion, sslVersionMin and sslVersionMax for OpenSSL 1.1.0 and later.

Comment 15 errata-xmlrpc 2020-11-04 01:32:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (stunnel bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4440


Note You need to log in before you can comment on or make changes to this bug.